Bug 1477667 - cdn-sync --no-packages will disassociate all packages from channel
Summary: cdn-sync --no-packages will disassociate all packages from channel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Ales Dujicek
URL:
Whiteboard:
Depends On:
Blocks: sat58-errata
TreeView+ depends on / blocked
 
Reported: 2017-08-02 15:18 UTC by Jan Dobes
Modified: 2017-09-06 12:27 UTC (History)
4 users (show)

Fixed In Version: spacewalk-backend-2.5.3-145-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 12:27:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2645 normal SHIPPED_LIVE Moderate: satellite and spacewalk security and bug fix update 2017-09-06 16:26:43 UTC

Description Jan Dobes 2017-08-02 15:18:00 UTC
Description of problem:
When cdn-sync is run with --no-packages, all existing packages in given channel(s) are disassociated. --no-packages should mean only to skip relevant stage during sync.

Version-Release number of selected component (if applicable):
spacewalk-backend-2.5.3-144

How reproducible:
always

Steps to Reproduce:
1. fully sync some channel using cdn-sync
2. run cdn-sync (for given channel) again with --no-packages option

Actual results:
All packages are gone from channel.

Expected results:
Packages will stay in channel.

Additional info:
Running cdn-sync again without --no-packages option will link all packages back to channel unless cdn-sync --clear-cache is executed in the meantime.

Comment 1 Jan Dobes 2017-08-02 16:24:27 UTC
fix in spacewalk.git(master):

47a9c1e26c0bcbcc12ea3a307a128cb399b07b7d

Comment 5 Radovan Drazny 2017-08-25 09:20:59 UTC
Re-verified with spacewalk-backend-2.5.3-151.el6sat.

Comment 6 errata-xmlrpc 2017-09-06 12:27:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2645


Note You need to log in before you can comment on or make changes to this bug.